Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.client.naming
Class EepGetNamingService

    java.lang.Object
      net.i2p.client.naming.NamingService
          net.i2p.client.naming.EepGetNamingService

Direct Known Subclasses:
  EepGetAndAddNamingService

    public class EepGetNamingService

extends NamingService

A network-based naming service using HTTP, with in-memory caching. Fetches from one or more remote (in-i2p) CGI services using HTTP GET. The remote HTTP service takes a CGI parameter and must return (only) the 516-byte Base64 destination, or hostname=dest. A trailing \n or \r\n is acceptable. Should be used from MetaNamingService, after HostsTxtNamingService. Cannot be used as the only NamingService! Be sure any naming service hosts are in hosts.txt. Sample config to put in configadvanced.jsp (restart required): i2p.naming.impl=net.i2p.client.naming.MetaNamingService i2p.nameservicelist=net.i2p.client.naming.HostsTxtNamingService,net.i2p.client.naming.EepGetNamingService i2p.naming.eepget.list=http://namingservice.i2p/cgi-bin/lkup.cgi?host=,http://i2host.i2p/cgi-bin/i2hostquery?

Field Summary

Fields inherited from class net.i2p.client.naming.NamingService
`_context, CACHE_MAX_AGE, CACHE_MAX_SIZE, PROP_IMPL`

Constructor Summary
`EepGetNamingService(I2PAppContext context)` The naming service should only be constructed and accessed through the application context.

Method Summary
`Destination` | `lookup(String hostname)` Look up a host name.

Methods inherited from class net.i2p.client.naming.NamingService
`clearCache, createInstance, getCache, lookupBase64, putCache, reverseLookup, reverseLookup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EepGetNamingService

    public EepGetNamingService(I2PAppContext context)

  The naming service should only be constructed and accessed through the application context. This constructor should only be used by the appropriate application context itself.

Method Detail

### lookup

    public Destination lookup(String hostname)

  Description copied from class: `NamingService`
  Look up a host name.

  Specified by:
    `lookup` in class `NamingService`
  Returns:
    the Destination for this host name, or `null` if name is unknown.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD